Debian Bug report logs - #542361
libgamin too buggy to Provide libfam

version graph

Package: libgamin0; Maintainer for libgamin0 is Michael Banck <mbanck@debian.org>; Source for libgamin0 is src:gamin.

Reported by: martin f krafft <madduck@debian.org>

Date: Wed, 19 Aug 2009 08:51:01 UTC

Severity: grave

Tags: patch

Found in version 0.1.10-1

Fixed in version gamin/0.1.10-4.1

Done: Yaroslav Halchenko <debian@onerussian.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#542361; Package okular. (Wed, 19 Aug 2009 08:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 19 Aug 2009 08:51:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Takes ages to start, connect() to FAM socket blocks
Date: Wed, 19 Aug 2009 10:31:48 +0200
[Message part 1 (text/plain, inline)]
Package: okular
Version: 4:4.3.0-1
Severity: important

Sometimes okular just doesn't want to start. According to strace
(attached), it blocks at the following call:

  socket(PF_FILE, SOCK_STREAM, 0)         = 10
  connect(10, {sa_family=AF_FILE, path=@"/tmp/fam-madduck-"}, 110

I do not have fam installed, nor does okular depend, suggest, or
recommend it. It also seems like the socket pathname is incomplete.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-rc3-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages okular depends on:
ii  kdebase-runtime        4:4.3.0-2         runtime components from the offici
ii  kdelibs5               4:4.3.0-1         core libraries for all KDE 4 appli
ii  libc6                  2.9-23            GNU C Library: Shared libraries
ii  libfreetype6           2.3.9-5           FreeType 2 font engine, shared lib
ii  libjpeg62              6b-14             The Independent JPEG Group's JPEG 
ii  libokularcore1         4:4.3.0-1         libraries for the Okular document 
ii  libphonon4             4:4.5.2-1         Qt 4 Phonon module
ii  libpoppler-qt4-3       0.10.6-1          PDF rendering library (Qt 4 based 
ii  libqca2                2.0.2-1           libraries for the Qt Cryptographic
ii  libqimageblitz4        1:0.0.4-4         QImageBlitz image effects library
ii  libqt4-dbus            4:4.5.2-1         Qt 4 D-Bus module
ii  libqt4-qt3support      4:4.5.2-1         Qt 3 compatibility library for Qt 
ii  libqt4-svg             4:4.5.2-1         Qt 4 SVG module
ii  libqt4-xml             4:4.5.2-1         Qt 4 XML module
ii  libqtcore4             4:4.5.2-1         Qt 4 core module
ii  libqtgui4              4:4.5.2-1         Qt 4 GUI module
ii  libspectre1            0.2.2.ds-1+b2     Library for rendering Postscript d
ii  libstdc++6             4.4.1-1           The GNU Standard C++ Library v3
ii  phonon                 4:4.5.2-1         Qt 4 Phonon module metapackage
ii  zlib1g                 1:1.2.3.3.dfsg-15 compression library - runtime

okular recommends no packages.

Versions of packages okular suggests:
pn  okular-extra-backends      <none>        (no description available)
ii  texlive-base-bin           2007.dfsg.2-6 TeX Live: Essential binaries
ii  unrar                      1:3.9.5-1     Unarchiver for .rar files (non-fre

-- no debconf information


-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[okular.strace.bz2 (application/octet-stream, attachment)]
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Changed Bug title to 'will not start, connect() to FAM socket blocks' from 'Takes ages to start, connect() to FAM socket blocks' Request was from martin f. krafft <madduck@debian.org> to control@bugs.debian.org. (Thu, 27 Aug 2009 14:18:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#542361; Package okular. (Thu, 27 Aug 2009 15:06:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Thu, 27 Aug 2009 15:06:16 GMT) Full text and rfc822 format available.

Message #12 received at 542361@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 542361@bugs.debian.org
Subject: this is due to gamin, works with fam
Date: Thu, 27 Aug 2009 16:30:55 +0200
[Message part 1 (text/plain, inline)]
notfound 542361 4:4.3.0-1
reassign 542361 libgamin0
retitle 542361 libgamin too buggy to Provide libfam
found 542361 0.1.10-1
thanks

This bug hit with okular is in fact due to libgamin unable to fully
emulate libfam. As long as it cannot actually provide the
functionality without introducing additional bugs, it should really
not Provide the library as virtual package.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Bug No longer marked as found in versions kdegraphics/4:4.3.0-1. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Thu, 27 Aug 2009 15:06:21 GMT) Full text and rfc822 format available.

Bug reassigned from package 'okular' to 'libgamin0'. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Thu, 27 Aug 2009 15:06:23 GMT) Full text and rfc822 format available.

Changed Bug title to 'libgamin too buggy to Provide libfam' from 'will not start, connect() to FAM socket blocks' Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Thu, 27 Aug 2009 15:06:26 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 0.1.10-1. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Thu, 27 Aug 2009 15:06:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Banck <mbanck@debian.org>:
Bug#542361; Package libgamin0. (Tue, 03 Jan 2012 23:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anssi Hannula <anssi@mageia.org>:
Extra info received and forwarded to list. Copy sent to Michael Banck <mbanck@debian.org>. (Tue, 03 Jan 2012 23:18:07 GMT) Full text and rfc822 format available.

Message #25 received at 542361@bugs.debian.org (full text, mbox):

From: Anssi Hannula <anssi@mageia.org>
To: 542361@bugs.debian.org
Subject: Re: libgamin too buggy to Provide libfam
Date: Wed, 04 Jan 2012 01:01:41 +0200
Hi,

I hit the same issue recently and tracked it to a recursive GMutex
locking in gam_server, I wrote a fix for it:
https://bugzilla.gnome.org/show_bug.cgi?id=667230

I can't of course be 100% sure it is the same bug without the gam_server
backtrace (also it is somewhat suspicious that I only started hitting it
recently, while this bug is much older - then again, very few people
seem to be hit with this...).

-- 
Anssi Hannula
Mageia packager




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Banck <mbanck@debian.org>:
Bug#542361; Package libgamin0. (Sun, 06 May 2012 15:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Fessel <k_the_first@yahoo.de>:
Extra info received and forwarded to list. Copy sent to Michael Banck <mbanck@debian.org>. (Sun, 06 May 2012 15:06:05 GMT) Full text and rfc822 format available.

Message #30 received at 542361@bugs.debian.org (full text, mbox):

From: Karl Fessel <k_the_first@yahoo.de>
To: 542361@bugs.debian.org
Subject: connect to /tmp/fam-(username) blocks kde application starts
Date: Sun, 06 May 2012 17:03:13 +0200
found 542361 0.1.10-4

Hi,

Why did you retitle this Bug to some suspicious libfam vs libgam is buggy thing. 
I would never have taken a look into it if not Anssi Hannula had linked it in 
the upsteam bugzilla. I feel as if i ran into it 10 times the last five days.

Thanks Karl




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Banck <mbanck@debian.org>:
Bug#542361; Package libgamin0. (Sun, 06 May 2012 16:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Fessel <k_the_first@yahoo.de>:
Extra info received and forwarded to list. Copy sent to Michael Banck <mbanck@debian.org>. (Sun, 06 May 2012 16:57:03 GMT) Full text and rfc822 format available.

Message #35 received at 542361@bugs.debian.org (full text, mbox):

From: Karl Fessel <k_the_first@yahoo.de>
To: 542361@bugs.debian.org
Subject: Patch for this Bug
Date: Sun, 06 May 2012 18:55:08 +0200
[Message part 1 (text/plain, inline)]
Hi,
i took a look at the patch by Anssi Hannula and found it changing the interface 
of inotify_helper, then i wrote it without changing the interface.
No one likes deadlocks.

Karl
[connect_blocker_bug.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Banck <mbanck@debian.org>:
Bug#542361; Package libgamin0. (Sun, 06 May 2012 17:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anssi Hannula <anssi@mageia.org>:
Extra info received and forwarded to list. Copy sent to Michael Banck <mbanck@debian.org>. (Sun, 06 May 2012 17:33:06 GMT) Full text and rfc822 format available.

Message #40 received at 542361@bugs.debian.org (full text, mbox):

From: Anssi Hannula <anssi@mageia.org>
To: Karl Fessel <k_the_first@yahoo.de>, 542361@bugs.debian.org
Subject: Re: Bug#542361: Patch for this Bug
Date: Sun, 06 May 2012 20:14:18 +0300
06.05.2012 19:55, Karl Fessel kirjoitti:
> Hi,

Hi!

> i took a look at the patch by Anssi Hannula and found it changing the
> interface of inotify_helper, then i wrote it without changing the
> interface.

inotify_helper.h is an internal header only (i.e. not installed and not
part of the public interface) and ih_sub_cancel() wasn't actually called
from any other file, which is why I simply made the existing function
static.

-- 
Anssi Hannula




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Banck <mbanck@debian.org>:
Bug#542361; Package libgamin0. (Thu, 24 May 2012 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jameson Graef Rollins <jrollins@finestructure.net>:
Extra info received and forwarded to list. Copy sent to Michael Banck <mbanck@debian.org>. (Thu, 24 May 2012 18:21:03 GMT) Full text and rfc822 format available.

Message #45 received at 542361@bugs.debian.org (full text, mbox):

From: Jameson Graef Rollins <jrollins@finestructure.net>
To: 542361@bugs.debian.org
Subject: this is still a big problem
Date: Thu, 24 May 2012 11:10:12 -0700
[Message part 1 (text/plain, inline)]
affects 542361 okular
thanks

Can I get some update on what's going on with this bug?  I *just*
encountered this and now I can't use okular at all.  It just hangs
waiting for some /tmp/fam- socket that doesn't exist:

servo:~ 0$ strace okular
...                                                                                                     
getuid()				= 1000                                                          
open("/etc/passwd", O_RDONLY|O_CLOEXEC)	= 9                                                             
lseek(9, 0, SEEK_CUR)			= 0                                                             
fstat(9, {st_mode=S_IFREG|0644, st_size=2065, ...}) = 0                                                 
mmap(NULL, 2065, PROT_READ, MAP_SHARED, 9, 0) = 0x7fcec56c3000                                          
lseek(9, 2065, SEEK_SET)                = 2065                                                          
munmap(0x7fcec56c3000, 2065)            = 0                                                             
close(9)                                = 0                                                             
socket(PF_FILE, SOCK_STREAM, 0)         = 9                                                             
connect(9, {sa_family=AF_FILE, path=@"/tmp/fam-jrollins-"}, 110

What is going on here?  What is causing this?  How do I fix it?  How is
it possible that I'm just now getting hit with a bug that was first
reported in 2009?  Nothing on my system has changed since okular was
working yesterday.  Very confused.

jamie.
[Message part 2 (application/pgp-signature, inline)]

Added indication that 542361 affects okular Request was from Jameson Graef Rollins <jrollins@finestructure.net> to control@bugs.debian.org. (Thu, 24 May 2012 21:27:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Banck <mbanck@debian.org>:
Bug#542361; Package libgamin0. (Thu, 28 Jun 2012 11:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vignarajah Glennie <glennie@glennie.fr>:
Extra info received and forwarded to list. Copy sent to Michael Banck <mbanck@debian.org>. (Thu, 28 Jun 2012 11:15:12 GMT) Full text and rfc822 format available.

Message #52 received at 542361@bugs.debian.org (full text, mbox):

From: Glennie Vignarajah <glennie@glennie.fr>
To: 542361@bugs.debian.org
Subject: Re: this is due to gamin, works with fam
Date: Thu, 28 Jun 2012 12:53:49 +0200
Hello,
 I was first hit by this bug few weeks ago and, needless to say, it's 
quite annoying. 
 The workaround for now is killing "gamin_server" by 'pkill 
gamin_server'.
HTH,
-- 
http://www.glennie.fr
We do not know what we want and yet we are responsible for what we 
are - that is the fact.




Added tag(s) patch. Request was from Yaroslav Halchenko <debian@onerussian.com> to control@bugs.debian.org. (Fri, 20 Jul 2012 02:24:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Banck <mbanck@debian.org>:
Bug#542361; Package libgamin0. (Fri, 20 Jul 2012 03:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Michael Banck <mbanck@debian.org>. (Fri, 20 Jul 2012 03:09:03 GMT) Full text and rfc822 format available.

Message #59 received at 542361@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 542361@bugs.debian.org, Michael Banck <mbanck@debian.org>
Cc: control@bugs.debian.org
Subject: fix for gamin deadlock is available
Date: Thu, 19 Jul 2012 22:20:48 -0400
tag 542361 +patch
thanks

Apparently there is a fix:
http://bugzilla-attachments.gnome.org/attachment.cgi?id=204537 I have
prepared an NMU and can upload (will upload to 5 day delayed tomorrow if
still works ok and no objections) -- I have so far done minimal
testing and it seems indeed to resolve the issue.  Ubuntu people also
took this patch
https://bugs.launchpad.net/ubuntu/+source/gamin/+bug/926862 and seems to
be happy campers since then

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Banck <mbanck@debian.org>:
Bug#542361; Package libgamin0. (Sat, 21 Jul 2012 02:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Michael Banck <mbanck@debian.org>. (Sat, 21 Jul 2012 02:21:03 GMT) Full text and rfc822 format available.

Message #64 received at 542361@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 542361@bugs.debian.org
Cc: Michael Banck <mbanck@debian.org>
Subject: uploaded to 5 days delayed
Date: Fri, 20 Jul 2012 22:19:40 -0400
[Message part 1 (text/plain, inline)]
Here is the debdiff (apparently debian/control is generated but was
modified I guess in prev uploads so Uploaders got changed).

PS I have been testing patched gamin -- seems to work so far

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        
[gamin_0.1.10-4.1.debdiff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Banck <mbanck@debian.org>:
Bug#542361; Package libgamin0. (Sat, 21 Jul 2012 04:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Banck <mbanck@debian.org>. (Sat, 21 Jul 2012 04:54:03 GMT) Full text and rfc822 format available.

Message #69 received at 542361@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Yaroslav Halchenko <debian@onerussian.com>, 542361@bugs.debian.org
Subject: Re: Bug#542361: uploaded to 5 days delayed
Date: Sat, 21 Jul 2012 06:51:08 +0200
[Message part 1 (text/plain, inline)]
On 21.07.2012 04:19, Yaroslav Halchenko wrote:
> Here is the debdiff (apparently debian/control is generated but was
> modified I guess in prev uploads so Uploaders got changed).
> 
> PS I have been testing patched gamin -- seems to work so far

Thanks for the NMU.

As this bug is only marked as important, you'll have to poke the release
team for an ublock if you want to see this fix in wheezy.

Cheers,
Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Banck <mbanck@debian.org>:
Bug#542361; Package libgamin0. (Sat, 21 Jul 2012 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Banck <mbanck@debian.org>. (Sat, 21 Jul 2012 16:27:03 GMT) Full text and rfc822 format available.

Message #74 received at 542361@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 542361@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#542361: uploaded to 5 days delayed
Date: Sat, 21 Jul 2012 12:24:31 -0400
severity 542361 grave
thanks

On Sat, 21 Jul 2012, Michael Biebl wrote:

> > PS I have been testing patched gamin -- seems to work so far
> Thanks for the NMU.

"Pleasure" is mine ;)  Thanks for thanks

> As this bug is only marked as important, you'll have to poke the release
> team for an ublock if you want to see this fix in wheezy.

sure I will if would be necessary.  But taking into account that
without this fix this package is not usable AFAIK and did cause lots of
my own frustration with okular etc and python bindings, I would be bold
to raise its severity to grave with this email.

Cheers!
-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Severity set to 'grave' from 'important' Request was from Yaroslav Halchenko <yoh@debian.org> to control@bugs.debian.org. (Sat, 21 Jul 2012 16:27:04 GMT) Full text and rfc822 format available.

Reply sent to Yaroslav Halchenko <debian@onerussian.com>:
You have taken responsibility. (Thu, 26 Jul 2012 02:51:03 GMT) Full text and rfc822 format available.

Notification sent to martin f krafft <madduck@debian.org>:
Bug acknowledged by developer. (Thu, 26 Jul 2012 02:51:03 GMT) Full text and rfc822 format available.

Message #81 received at 542361-close@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 542361-close@bugs.debian.org
Subject: Bug#542361: fixed in gamin 0.1.10-4.1
Date: Thu, 26 Jul 2012 02:47:13 +0000
Source: gamin
Source-Version: 0.1.10-4.1

We believe that the bug you reported is fixed in the latest version of
gamin, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 542361@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yaroslav Halchenko <debian@onerussian.com> (supplier of updated gamin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 19 Jul 2012 22:03:23 -0400
Source: gamin
Binary: gamin libgamin0 libgamin-dev python-gamin
Architecture: source amd64
Version: 0.1.10-4.1
Distribution: unstable
Urgency: low
Maintainer: Michael Banck <mbanck@debian.org>
Changed-By: Yaroslav Halchenko <debian@onerussian.com>
Description: 
 gamin      - File and directory monitoring system
 libgamin-dev - Development files for the gamin client library
 libgamin0  - Client library for the gamin file and directory monitoring system
 python-gamin - Python binding for the gamin client library
Closes: 542361
Changes: 
 gamin (0.1.10-4.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add 18_gam_server_deadlocks.patch: removes locking from ih_sub_cancel()
     to resolve intermittent deadlocks (Closes: #542361)
Checksums-Sha1: 
 987bdba01ac8011c6c4c5e215963b5ea544b895d 1528 gamin_0.1.10-4.1.dsc
 da8f0a90754349fa80fa4be5448324842ed5bc64 527646 gamin_0.1.10-4.1.debian.tar.gz
 9c5611630fb0e91ecf8abd610e4224f1522f4444 73294 gamin_0.1.10-4.1_amd64.deb
 d31d02874f80d43842131275b6551bd54984aaf9 41970 libgamin0_0.1.10-4.1_amd64.deb
 f62332d014bb0a74b5c9da6dad98d2ad62b17d2b 60972 libgamin-dev_0.1.10-4.1_amd64.deb
 823b26c34d61a021c90ae065a201e4a3e0753305 33824 python-gamin_0.1.10-4.1_amd64.deb
Checksums-Sha256: 
 52177e7a73f6012a46f9bca5156bc4900a3eea3c7a092072456f207638a457f0 1528 gamin_0.1.10-4.1.dsc
 d2f907d9612ef8f11e2604edbc0810a28d89146e9be5404bb080135852629ba5 527646 gamin_0.1.10-4.1.debian.tar.gz
 f69486acb3c87f1cbdbb793e41d87b836380c5e8cfac52e9960b45a6e492a546 73294 gamin_0.1.10-4.1_amd64.deb
 74cbcf1850ab01e97a33c3eb48f69614008e3d54f8e595e60d4ba8d003f095bd 41970 libgamin0_0.1.10-4.1_amd64.deb
 b5018bc179a55decfb69e707e6350c08c7037eb5bb7330b3ce065367fc2547a9 60972 libgamin-dev_0.1.10-4.1_amd64.deb
 2e1f34fae84f4f25c0c38863e304cd039949d4eed81c4afd476e828c87dd6206 33824 python-gamin_0.1.10-4.1_amd64.deb
Files: 
 bed75543296c68ff9d9078d9775759e4 1528 admin optional gamin_0.1.10-4.1.dsc
 7d22a6582ce831e4403c716201f91b49 527646 admin optional gamin_0.1.10-4.1.debian.tar.gz
 20d3ec9b0272c15ff710c3963ac7fbfd 73294 admin optional gamin_0.1.10-4.1_amd64.deb
 a46efee04d45e4da22cba3ecdf28bd25 41970 libs optional libgamin0_0.1.10-4.1_amd64.deb
 6ea9f71fa293e60f8dbbf3df16bbd645 60972 libdevel optional libgamin-dev_0.1.10-4.1_amd64.deb
 f870b942038c93c2ada3ef7709234d4e 33824 python optional python-gamin_0.1.10-4.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlAKEH4ACgkQjRFFY3XAJMiB8QCgg7bDEoIhO0utLw0CqIBUz/F8
AREAoMnczjNxUFHg7neZRpC4L+qtIFKY
=7evs
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 08:06:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:40:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.